<template>
    <div class="container">
        <h2>Add a new post</h2>

        <form @submit.prevent="handleSubmit()" id="form-add">

            <label>
                Ttle :
                <input class="form-control" v-model="post.title" type="text" placeholder="title" required>
            </label>


            <label>
                Author :
                <input class="form-control" v-model="post.author" type="text" placeholder="your name">
            </label>


            <label>
                Content :
                <textarea class="form-control" v-model="post.content" type="text" placeholder="content">
                    </textarea>
            </label>
            
            <label>
                Image :
                <input class="form-control" v-model="post.image" type="text" placeholder="add an image URL">
            </label>

            <button class="btn submit-btn mt-5">Submit</button>
        </form>

        <div v-if="post.id">
            <p>Your post has been added. <RouterLink :to="'/post' + post.id">See the post</RouterLink>
            </p>
        </div>
    </div>

</template>

<script setup lang="ts">
import { createPost } from '@/services/posts-service';
import type { Post } from '@/entities';
import { ref } from 'vue';
import { useRouter } from 'vue-router';

const router = useRouter();


const post = ref<Post>({
    title: '',
    author: '',
    content: '',
    image: ''
})


async function handleSubmit() {
    const added = await createPost(post.value);
    router.push("/post/" + added.id);
}

</script>

<style scoped>
.container {
    max-width: 650px;
}
#form-add {
   
    display: flex;
    justify-content: center;
    flex-direction: column;
    background-color: rgb(97, 95, 92);
    padding: 30px;
    color: white;
    border-radius: 2%;
}

.submit-btn {
  background-color: rgb(3, 31, 4);
  color: white;

}

.submit-btn:hover {
    background-color: white;
    color: black;

}
</style>